Bug 957733 - s-c-printer will allow you to add a Samba printer even when samba-client is not installed, will only fail after the long, tedious process is complete
Summary: s-c-printer will allow you to add a Samba printer even when samba-client is n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 957727
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-29 12:20 UTC by Elad Alfassa
Modified: 2013-08-25 22:55 UTC (History)
3 users (show)

Fixed In Version: system-config-printer-1.4.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-25 22:55:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Elad Alfassa 2013-04-29 12:20:21 UTC
See screencast:
http://echo.eladalfassa.com/~elad/s-c-printer-screencast.webm

Comment 1 Rex Dieter 2013-04-30 15:12:46 UTC
marking depending on bug #957727 (not sure if it could be considered a dup or not yet)

Comment 2 Tim Waugh 2013-07-02 08:23:01 UTC
I get 403 trying to view the screencast.

Comment 3 Elad Alfassa 2013-07-02 08:36:39 UTC
(In reply to Tim Waugh from comment #2)
> I get 403 trying to view the screencast.

Sorry about that, the file had the wrong selinux file context. should work now.

Comment 4 Tim Waugh 2013-07-02 09:33:51 UTC
OK, got it. So the device URI is set to smb://... but the smb backend is not available... that's the issue.

Comment 5 Tim Waugh 2013-07-02 15:37:23 UTC
Fixed upstream in commit 8c75bf3.

Comment 6 Fedora Update System 2013-08-21 16:22:19 UTC
system-config-printer-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.2-1.fc19

Comment 7 Fedora Update System 2013-08-23 00:44:53 UTC
Package system-config-printer-1.4.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15201/system-config-printer-1.4.2-1.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-08-25 22:55:55 UTC
system-config-printer-1.4.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.